import { HttpModule } from '@nestjs/axios';
import { Module } from '@nestjs/common';
import { ApplicationDataservice } from './Application.dataservice';
import { DefaultQueryService } from './DefaultQuery/defaultQuery.dataservice';
import { FisAppQueryResolver } from './fisAppQuery.resolver';
import { FisAppQueryService } from './fisAppQuery.service';
import { DataServiceManager } from './Manager.dataservice';

@Module({
    imports: [HttpModule],
    providers: [DataServiceManager,ApplicationDataservice, FisAppQueryResolver,FisAppQueryService, DefaultQueryService]
})
export class DataserviceModule {}
